body {
    margin: 0;
}

* {
    box-sizing: border-box;
}

.container {
    max-width: 1280px;
    margin: 0 auto;
}

#heading {
    color: #4bcaff;
}

.logo {
    font-size: 80px;
    text-align: center;
    font-family: AdobeInvisFont, Courier, MyriadPro-Regular;
    text-decoration: none;
    color: black;
}

.navigation {
    list-style-type: none;
    margin-top: 15px;
    display: flex;
    justify-content: center;
    background-color: #35444f;
}

.navigation a {
    color: white;
    padding: 15px;
    font-size: 24px;
    text-decoration: none;
    transition: all .5s;
}

.navigation a:hover {
    background-color: #222f3a;
    border-left: 1px solid #818181;
    border-right: 1px solid #818181;
}

/*  */

.main {
    margin-top: 25px;
    display: flex;
    justify-content: space-between;
}

.nav-menu {
    border: 1px solid #818181;
    width: 700px;
    height: 300px;
}

.nav-menu--list {
    list-style: none;
    padding: 0px;
    margin: 0;
}

.nav-menu--list a {
    text-decoration: none;
    color: rgba(72, 88, 99, 255);
    padding: 15px;
    display: block;
    /* I didnt use "inline-block" here(it was shown in technical requirement part) bcs when i use it doesnt mach with picture of site*/
    font-size: 24px;
    transition: all .5s;
}

.nav-menu--list a:hover {
    background-color: #dbdbdb;
    padding-left: 26px;
}

article {
    padding-left: 50px;
    width: calc(100%-300px);
}

.article-image {
    border: 1px solid #818181;
    padding: 60px 280px;
    max-height: 500px;
}

.article-image img {
    display: block;
    margin: auto auto;
}

.article-image img:hover {/* An optional advanced complexity task */
    transform: scale(1.1);
    transition: all 1s ease;
}

.content {
    margin: 30px 20px;
}

#text {
    font-size: 18px;
}

/*  */

.footer {
    margin-top: 15px;
    margin-bottom: 25px;
}

.footer-nav {
    display: flex;
    justify-content: space-between;
    background-color: hsl(210, 4%, 72%);
}

.footer-navigation {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    margin-left: 15px;
}

.footer-navigation a {
    color: #0c1927;
    padding: 15px;
    font-size: 24px;
    text-decoration: none;
    display: inline-block;
    position: relative;
}

.footer-navigation a:hover {
    color: #008ed6;
}

.footer-navigation a:hover::after {
    content: ' ';
    border-bottom: 2px solid #008ed6;
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 15px;
    transform: translateY(5px);
}

.copyright {
    /*     margin-right: 20px;
        margin-top: 10px; */
    margin: 15px 20px;
    font-size: 23px;
}